Bug 526876 - Review Request: php-pecl-gmagick - Provides a wrapper to the GraphicsMagick library
Summary: Review Request: php-pecl-gmagick - Provides a wrapper to the GraphicsMagick l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-02 09:19 UTC by Pavel Alexeev
Modified: 2010-02-01 01:21 UTC (History)
4 users (show)

Fixed In Version: 1.0.2b1-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 18:26:29 UTC
Type: ---
andrew: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Alexeev 2009-10-02 09:19:04 UTC
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/php-pecl-gmagick/php-pecl-gmagick.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/php-pecl-gmagick/php-pecl-gmagick-1.0.1b1-1.fc11.src.rpm
Description: php-pecl-gmagick is a php extension to create, modify and obtain meta information of
images using the GraphicsMagick API.


http://koji.fedoraproject.org/koji/taskinfo?taskID=1723870

P.S. Spec file format assume 5-space tab with. Please, do not complain about it. Just do not start review if it is not acceptable for yours.

Comment 1 Thomas Janssen 2009-10-04 13:28:35 UTC
MUST: rpmlint must be run on every package. The output should be posted in the review.

[thomas@tusdell ~]$ rpmlint srpm-review-test/php-pecl-gmagick.spec
srpm-review-test/php-pecl-gmagick.spec: E: specfile-error sh: php-config: command not found
srpm-review-test/php-pecl-gmagick.spec: E: specfile-error error: Macro %php_extdir has empty body
0 packages and 1 specfiles checked; 2 errors, 0 warnings.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Pavel Alexeev 2009-10-04 15:56:01 UTC
(In reply to comment #1)
> sh: php-config:
> command not found

You simply does not have php-devel installed. If you install this package erro must be gone. php-devel listed as BR, so nothing error there.

Comment 3 Pavel Alexeev 2009-10-11 20:44:26 UTC
Author include license by my request and update tarball.

http://hubbitus.net.ru/rpm/Fedora11/php-pecl-gmagick/php-pecl-gmagick-1.0.2b1-2.fc11.src.rpm

Comment 4 Andrew Colin Kissa 2009-11-02 06:51:29 UTC
I will do a full review of this later today.

Comment 5 Andrew Colin Kissa 2009-11-03 10:08:06 UTC
OK: rpmlint must be run on every package

rpmlint rpmbuild/SRPMS/php-pecl-gmagick-1.0.2b1-2.fc11.src.rpm rpmbuild/RPMS/i586/php-pecl-gmagick-1.0.2b1-2.fc11.i586.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license
OK: The License field in the package spec file must match the actual license
OK: License text included
OK: The spec file must be written in American English
FIX: The spec file for the package MUST be legible
OK: The sources used to build the package must match the upstream source
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture
N\A: ExcludeArch
OK: All build dependencies must be listed in BuildRequires
N\A: The spec file MUST handle locales properly
N\A: Must call ldconfig in %post and %postun
N\A: If the package is designed to be relocatable
OK: A package must own all directories that it creates
OK: A Fedora package must not list a file more than once
OK: Permissions on files must be set properly
OK: Each package must have a %clean section
FIX: Each package must consistently use macros
OK: The package must contain code, or permissable content
N\A: Large documentation files must go in a -doc subpackage
OK: If a package includes something as %doc, it must not affect the runtime of the application
N\A: Header files must be in a -devel package
N\A: Static libraries must be in a -static package
N\A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
N\A: Library files that end in .so (without suffix) must go in a -devel package
N\A: In the vast majority of cases, devel packages must require the base package
OK: Packages must NOT contain any .la libtool archives
N\A: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
OK: All filenames in rpm packages must be valid UTF-8


Issues to fix.

* Consistent use of macros
 - if using the %{__make} style macros then you need to be consistent, i.e use %{__install}, %{__rm}, %{__chmod} etc

* Make the spec more eligible by formatting it correctly, at the moment the directives at the top are not aligned.

Comment 6 Pavel Alexeev 2009-11-03 10:29:30 UTC
(In reply to comment #5)
> * Consistent use of macros
>  - if using the %{__make} style macros then you need to be consistent, i.e use
> %{__install}, %{__rm}, %{__chmod} etc
%{__make} replaced to plain make.

Additionally %{?_smp_mflags} added.

> * Make the spec more eligible by formatting it correctly, at the moment the
> directives at the top are not aligned.  
Top directives are ALIGNED with tabs by width 5 spaces. Please read my first post.

http://hubbitus.net.ru/rpm/Fedora11/php-pecl-gmagick/php-pecl-gmagick-1.0.2b1-3.fc11.src.rpm

Comment 7 Andrew Colin Kissa 2009-11-03 10:38:43 UTC
The %{__make} install needs to be fixed as well, you can do that before requesting CVS

-------------------------------------------------------------------
    This package (php-pecl-gmagick) is APPROVED by topdog
-------------------------------------------------------------------

Comment 8 Pavel Alexeev 2009-11-03 11:03:49 UTC
(In reply to comment #7)
> The %{__make} install needs to be fixed as well, you can do that before
> requesting CVS

Upss, sorry. Thanks, I'll fix it.

> -------------------------------------------------------------------
>     This package (php-pecl-gmagick) is APPROVED by topdog
> -------------------------------------------------------------------  

Thank you for review.

Comment 9 Pavel Alexeev 2009-11-03 14:56:00 UTC
New Package CVS Request
=======================
Package Name: php-pecl-gmagick
Short Description: Provides a wrapper to the GraphicsMagick library
Owners: hubbitus
Branches: F-10 F-11 F-12 EL-5
InitialCC:

Comment 10 Kevin Fenzi 2009-11-03 19:11:08 UTC
cvs done.

Comment 11 Fedora Update System 2009-11-04 11:39:05 UTC
php-pecl-gmagick-1.0.2b1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-gmagick-1.0.2b1-3.fc11

Comment 12 Fedora Update System 2009-11-04 11:46:53 UTC
php-pecl-gmagick-1.0.2b1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pecl-gmagick-1.0.2b1-3.el5

Comment 13 Fedora Update System 2009-11-05 21:28:08 UTC
php-pecl-gmagick-1.0.2b1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-gmagick'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0795

Comment 14 Fedora Update System 2009-11-25 15:27:12 UTC
php-pecl-gmagick-1.0.2b1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-12-01 18:26:24 UTC
php-pecl-gmagick-1.0.2b1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-01-29 18:20:44 UTC
php-pecl-gmagick-1.0.2b1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pecl-gmagick-1.0.2b1-3.fc12

Comment 17 Fedora Update System 2010-02-01 01:20:59 UTC
php-pecl-gmagick-1.0.2b1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.